DvfsDatas (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.xml

## Class DvfsDatas

- java.lang.Object
- - org.cloudbus.cloudsim.xml.DvfsDatas

-     public class DvfsDatas
      extends Object

  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France Please cite: T. Guérout et al., Energy-aware simulation with DVFS, Simulat. Modell. Pract. Theory (2013), http://dx.doi.org/10.1016/j.simpat.2013.04.007

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DvfsDatas()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HashMap<String,Integer>` | `getHashMapConservative()`
    `HashMap<String,Integer>` | `getHashMapOnDemand()`
    `HashMap<String,Integer>` | `getHashMapUserSpace()`
    `void` | `setHashMapConservative(HashMap<String,Integer> hashT_Conservative)`
    `void` | `setHashMapOnDemand(HashMap<String,Integer> hashT_OnDemand)`
    `void` | `setHashMapUserSpace(HashMap<String,Integer> hashT_UserSpace)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DvfsDatas

          public DvfsDatas()

  - ### Method Detail

    - #### getHashMapConservative

          public HashMap<String,Integer> getHashMapConservative()

    - #### setHashMapConservative

          public void setHashMapConservative(HashMap<String,Integer> hashT_Conservative)

    - #### getHashMapOnDemand

          public HashMap<String,Integer> getHashMapOnDemand()

    - #### setHashMapOnDemand

          public void setHashMapOnDemand(HashMap<String,Integer> hashT_OnDemand)

    - #### getHashMapUserSpace

          public HashMap<String,Integer> getHashMapUserSpace()

    - #### setHashMapUserSpace

          public void setHashMapUserSpace(HashMap<String,Integer> hashT_UserSpace)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.